testsuite: Skip 90020.c on AIX.
[official-gcc.git] / libphobos / testsuite / Makefile.in
blob66077fc19a9245109be09dd816835aa168680498
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
15 @SET_MAKE@
17 # Process this file with automake to produce Makefile.in.
18 VPATH = @srcdir@
19 am__is_gnu_make = { \
20 if test -z '$(MAKELEVEL)'; then \
21 false; \
22 elif test -n '$(MAKE_HOST)'; then \
23 true; \
24 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25 true; \
26 else \
27 false; \
28 fi; \
30 am__make_running_with_option = \
31 case $${target_option-} in \
32 ?) ;; \
33 *) echo "am__make_running_with_option: internal error: invalid" \
34 "target option '$${target_option-}' specified" >&2; \
35 exit 1;; \
36 esac; \
37 has_opt=no; \
38 sane_makeflags=$$MAKEFLAGS; \
39 if $(am__is_gnu_make); then \
40 sane_makeflags=$$MFLAGS; \
41 else \
42 case $$MAKEFLAGS in \
43 *\\[\ \ ]*) \
44 bs=\\; \
45 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
47 esac; \
48 fi; \
49 skip_next=no; \
50 strip_trailopt () \
51 { \
52 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53 }; \
54 for flg in $$sane_makeflags; do \
55 test $$skip_next = yes && { skip_next=no; continue; }; \
56 case $$flg in \
57 *=*|--*) continue;; \
58 -*I) strip_trailopt 'I'; skip_next=yes;; \
59 -*I?*) strip_trailopt 'I';; \
60 -*O) strip_trailopt 'O'; skip_next=yes;; \
61 -*O?*) strip_trailopt 'O';; \
62 -*l) strip_trailopt 'l'; skip_next=yes;; \
63 -*l?*) strip_trailopt 'l';; \
64 -[dEDm]) skip_next=yes;; \
65 -[JT]) skip_next=yes;; \
66 esac; \
67 case $$flg in \
68 *$$target_option*) has_opt=yes; break;; \
69 esac; \
70 done; \
71 test $$has_opt = yes
72 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74 pkgdatadir = $(datadir)/@PACKAGE@
75 pkgincludedir = $(includedir)/@PACKAGE@
76 pkglibdir = $(libdir)/@PACKAGE@
77 pkglibexecdir = $(libexecdir)/@PACKAGE@
78 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79 install_sh_DATA = $(install_sh) -c -m 644
80 install_sh_PROGRAM = $(install_sh) -c
81 install_sh_SCRIPT = $(install_sh) -c
82 INSTALL_HEADER = $(INSTALL_DATA)
83 transform = $(program_transform_name)
84 NORMAL_INSTALL = :
85 PRE_INSTALL = :
86 POST_INSTALL = :
87 NORMAL_UNINSTALL = :
88 PRE_UNINSTALL = :
89 POST_UNINSTALL = :
90 build_triplet = @build@
91 host_triplet = @host@
92 target_triplet = @target@
93 subdir = testsuite
94 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
96 $(top_srcdir)/../config/lead-dot.m4 \
97 $(top_srcdir)/../config/multi.m4 \
98 $(top_srcdir)/../config/override.m4 \
99 $(top_srcdir)/../config/toolexeclibdir.m4 \
100 $(top_srcdir)/../libtool.m4 $(top_srcdir)/../ltoptions.m4 \
101 $(top_srcdir)/../ltsugar.m4 $(top_srcdir)/../ltversion.m4 \
102 $(top_srcdir)/../lt~obsolete.m4 $(top_srcdir)/acinclude.m4 \
103 $(top_srcdir)/m4/gcc_support.m4 $(top_srcdir)/m4/autoconf.m4 \
104 $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/gdc.m4 \
105 $(top_srcdir)/m4/druntime.m4 $(top_srcdir)/m4/druntime/cpu.m4 \
106 $(top_srcdir)/m4/druntime/os.m4 \
107 $(top_srcdir)/m4/druntime/libraries.m4 \
108 $(top_srcdir)/configure.ac
109 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
110 $(ACLOCAL_M4)
111 DIST_COMMON = $(srcdir)/Makefile.am
112 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
113 CONFIG_HEADER = $(top_builddir)/config.h
114 CONFIG_CLEAN_FILES = testsuite_flags
115 CONFIG_CLEAN_VPATH_FILES =
116 AM_V_P = $(am__v_P_@AM_V@)
117 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
118 am__v_P_0 = false
119 am__v_P_1 = :
120 AM_V_GEN = $(am__v_GEN_@AM_V@)
121 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
122 am__v_GEN_0 = @echo " GEN " $@;
123 am__v_GEN_1 =
124 AM_V_at = $(am__v_at_@AM_V@)
125 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
126 am__v_at_0 = @
127 am__v_at_1 =
128 depcomp =
129 am__depfiles_maybe =
130 SOURCES =
131 am__can_run_installinfo = \
132 case $$AM_UPDATE_INFO_DIR in \
133 n|no|NO) false;; \
134 *) (install-info --version) >/dev/null 2>&1;; \
135 esac
136 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
137 ACLOCAL = @ACLOCAL@
138 AMTAR = @AMTAR@
139 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
140 AR = @AR@
141 AUTOCONF = @AUTOCONF@
142 AUTOHEADER = @AUTOHEADER@
143 AUTOMAKE = @AUTOMAKE@
144 AWK = @AWK@
145 BACKTRACE_SUPPORTED = @BACKTRACE_SUPPORTED@
146 BACKTRACE_SUPPORTS_THREADS = @BACKTRACE_SUPPORTS_THREADS@
147 BACKTRACE_USES_MALLOC = @BACKTRACE_USES_MALLOC@
148 CC = @CC@
149 CCAS = @CCAS@
150 CCASFLAGS = @CCASFLAGS@
151 CC_FOR_BUILD = @CC_FOR_BUILD@
152 CFLAGS = @CFLAGS@
153 CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
154 CHECKING_DFLAGS = @CHECKING_DFLAGS@
155 CPP = @CPP@
156 CPPFLAGS = @CPPFLAGS@
157 CYGPATH_W = @CYGPATH_W@
158 DCFG_ARM_EABI_UNWINDER = @DCFG_ARM_EABI_UNWINDER@
159 DCFG_DLPI_TLS_MODID = @DCFG_DLPI_TLS_MODID@
160 DCFG_HAVE_64BIT_ATOMICS = @DCFG_HAVE_64BIT_ATOMICS@
161 DCFG_HAVE_ATOMIC_BUILTINS = @DCFG_HAVE_ATOMIC_BUILTINS@
162 DCFG_HAVE_LIBATOMIC = @DCFG_HAVE_LIBATOMIC@
163 DCFG_HAVE_QSORT_R = @DCFG_HAVE_QSORT_R@
164 DCFG_MINFO_BRACKETING = @DCFG_MINFO_BRACKETING@
165 DCFG_THREAD_MODEL = @DCFG_THREAD_MODEL@
166 DEFS = @DEFS@
167 DSYMUTIL = @DSYMUTIL@
168 DUMPBIN = @DUMPBIN@
169 ECHO_C = @ECHO_C@
170 ECHO_N = @ECHO_N@
171 ECHO_T = @ECHO_T@
172 EGREP = @EGREP@
173 EXEEXT = @EXEEXT@
174 FGREP = @FGREP@
175 GDC = @GDC@
176 GDCFLAGS = @GDCFLAGS@
177 GREP = @GREP@
178 INSTALL = @INSTALL@
179 INSTALL_DATA = @INSTALL_DATA@
180 INSTALL_PROGRAM = @INSTALL_PROGRAM@
181 INSTALL_SCRIPT = @INSTALL_SCRIPT@
182 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
183 LD = @LD@
184 LDFLAGS = @LDFLAGS@
185 LIBATOMIC = @LIBATOMIC@
186 LIBBACKTRACE = @LIBBACKTRACE@
187 LIBOBJS = @LIBOBJS@
188 LIBS = @LIBS@
189 LIBTOOL = @LIBTOOL@
190 LIBZ = @LIBZ@
191 LIPO = @LIPO@
192 LN_S = @LN_S@
193 LTLIBOBJS = @LTLIBOBJS@
194 MAINT = @MAINT@
195 MAKEINFO = @MAKEINFO@
196 MKDIR_P = @MKDIR_P@
197 NM = @NM@
198 NMEDIT = @NMEDIT@
199 OBJDUMP = @OBJDUMP@
200 OBJEXT = @OBJEXT@
201 OS_LINK_SPEC = @OS_LINK_SPEC@
202 OTOOL = @OTOOL@
203 OTOOL64 = @OTOOL64@
204 PACKAGE = @PACKAGE@
205 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
206 PACKAGE_NAME = @PACKAGE_NAME@
207 PACKAGE_STRING = @PACKAGE_STRING@
208 PACKAGE_TARNAME = @PACKAGE_TARNAME@
209 PACKAGE_URL = @PACKAGE_URL@
210 PACKAGE_VERSION = @PACKAGE_VERSION@
211 PATH_SEPARATOR = @PATH_SEPARATOR@
212 RANLIB = @RANLIB@
213 SED = @SED@
214 SET_MAKE = @SET_MAKE@
215 SHELL = @SHELL@
216 SPEC_PHOBOS_DEPS = @SPEC_PHOBOS_DEPS@
217 STRIP = @STRIP@
218 VERSION = @VERSION@
219 WARN_DFLAGS = @WARN_DFLAGS@
220 abs_builddir = @abs_builddir@
221 abs_srcdir = @abs_srcdir@
222 abs_top_builddir = @abs_top_builddir@
223 abs_top_srcdir = @abs_top_srcdir@
224 ac_ct_CC = @ac_ct_CC@
225 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
226 am__leading_dot = @am__leading_dot@
227 am__tar = @am__tar@
228 am__untar = @am__untar@
229 bindir = @bindir@
230 build = @build@
231 build_alias = @build_alias@
232 build_cpu = @build_cpu@
233 build_os = @build_os@
234 build_vendor = @build_vendor@
235 builddir = @builddir@
236 datadir = @datadir@
237 datarootdir = @datarootdir@
238 docdir = @docdir@
239 dvidir = @dvidir@
240 exec_prefix = @exec_prefix@
241 gcc_version = @gcc_version@
242 gdc_include_dir = @gdc_include_dir@
243 get_gcc_base_ver = @get_gcc_base_ver@
244 host = @host@
245 host_alias = @host_alias@
246 host_cpu = @host_cpu@
247 host_os = @host_os@
248 host_vendor = @host_vendor@
249 htmldir = @htmldir@
250 includedir = @includedir@
251 infodir = @infodir@
252 install_sh = @install_sh@
253 libdir = @libdir@
254 libexecdir = @libexecdir@
255 libphobos_builddir = @libphobos_builddir@
256 libphobos_srcdir = @libphobos_srcdir@
257 libphobos_toolexecdir = @libphobos_toolexecdir@
258 libphobos_toolexeclibdir = @libphobos_toolexeclibdir@
259 libtool_VERSION = @libtool_VERSION@
260 localedir = @localedir@
261 localstatedir = @localstatedir@
262 mandir = @mandir@
263 mkdir_p = @mkdir_p@
264 multi_basedir = @multi_basedir@
265 oldincludedir = @oldincludedir@
266 pdfdir = @pdfdir@
267 phobos_compiler_pic_flag = @phobos_compiler_pic_flag@
268 phobos_compiler_shared_flag = @phobos_compiler_shared_flag@
269 prefix = @prefix@
270 program_transform_name = @program_transform_name@
271 psdir = @psdir@
272 sbindir = @sbindir@
273 sharedstatedir = @sharedstatedir@
274 srcdir = @srcdir@
275 sysconfdir = @sysconfdir@
276 target = @target@
277 target_alias = @target_alias@
278 target_cpu = @target_cpu@
279 target_os = @target_os@
280 target_vendor = @target_vendor@
281 top_build_prefix = @top_build_prefix@
282 top_builddir = @top_builddir@
283 top_srcdir = @top_srcdir@
284 AUTOMAKE_OPTIONS = foreign
286 # Setup the testing framework, if you have one
287 EXPECT = $(shell if test -f $(top_builddir)/../expect/expect; then \
288 echo $(top_builddir)/../expect/expect; else echo expect; fi)
290 _RUNTEST = $(shell if test -f $(top_srcdir)/../dejagnu/runtest; then \
291 echo $(top_srcdir)/../dejagnu/runtest; else echo runtest; fi)
293 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
294 PWD_COMMAND = $${PWDCMD-pwd}
295 check_p_subno = $(word 2,$(subst _, ,$*))
296 check_p_numbers0 := 1 2 3 4 5 6 7 8 9
297 check_p_numbers1 := 0 $(check_p_numbers0)
298 check_p_numbers2 := $(foreach i,$(check_p_numbers0),$(addprefix $(i),$(check_p_numbers1)))
299 check_p_numbers3 := $(addprefix 0,$(check_p_numbers1)) $(check_p_numbers2)
300 check_p_numbers4 := $(foreach i,$(check_p_numbers0),$(addprefix $(i),$(check_p_numbers3)))
301 check_p_numbers5 := $(addprefix 0,$(check_p_numbers3)) $(check_p_numbers4)
302 check_p_numbers6 := $(foreach i,$(check_p_numbers0),$(addprefix $(i),$(check_p_numbers5)))
303 check_p_numbers := $(check_p_numbers0) $(check_p_numbers2) $(check_p_numbers4) $(check_p_numbers6)
304 check_p_subdirs = $(wordlist 1,$(if $(GCC_TEST_PARALLEL_SLOTS),$(GCC_TEST_PARALLEL_SLOTS),10),$(check_p_numbers))
305 check_DEJAGNU_libphobos_targets = $(addprefix check-DEJAGNUlibphobos,$(check_p_subdirs))
306 AM_MAKEFLAGS = "EXEEXT=$(EXEEXT)"
307 CLEANFILES = *.exe *.log *.o *.sum site.exp
308 all: all-am
310 .SUFFIXES:
311 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
312 @for dep in $?; do \
313 case '$(am__configure_deps)' in \
314 *$$dep*) \
315 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
316 && { if test -f $@; then exit 0; else break; fi; }; \
317 exit 1;; \
318 esac; \
319 done; \
320 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign --ignore-deps testsuite/Makefile'; \
321 $(am__cd) $(top_srcdir) && \
322 $(AUTOMAKE) --foreign --ignore-deps testsuite/Makefile
323 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
324 @case '$?' in \
325 *config.status*) \
326 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
327 *) \
328 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
329 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
330 esac;
332 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
333 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
335 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
336 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
337 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
338 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
339 $(am__aclocal_m4_deps):
340 testsuite_flags: $(top_builddir)/config.status $(srcdir)/testsuite_flags.in
341 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
343 mostlyclean-libtool:
344 -rm -f *.lo
346 clean-libtool:
347 -rm -rf .libs _libs
348 tags TAGS:
350 ctags CTAGS:
352 cscope cscopelist:
354 check-am: all-am
355 check: check-am
356 all-am: Makefile
357 installdirs:
358 install: install-am
359 install-exec: install-exec-am
360 install-data: install-data-am
361 uninstall: uninstall-am
363 install-am: all-am
364 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
366 installcheck: installcheck-am
367 install-strip:
368 if test -z '$(STRIP)'; then \
369 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
370 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
371 install; \
372 else \
373 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
374 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
375 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
377 mostlyclean-generic:
379 clean-generic:
380 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
382 distclean-generic:
383 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
384 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
386 maintainer-clean-generic:
387 @echo "This command is intended for maintainers to use"
388 @echo "it deletes files that may require special tools to rebuild."
389 clean: clean-am
391 clean-am: clean-generic clean-libtool clean-local mostlyclean-am
393 distclean: distclean-am
394 -rm -f Makefile
395 distclean-am: clean-am distclean-generic
397 dvi: dvi-am
399 dvi-am:
401 html: html-am
403 html-am:
405 info: info-am
407 info-am:
409 install-data-am:
411 install-dvi: install-dvi-am
413 install-dvi-am:
415 install-exec-am:
417 install-html: install-html-am
419 install-html-am:
421 install-info: install-info-am
423 install-info-am:
425 install-man:
427 install-pdf: install-pdf-am
429 install-pdf-am:
431 install-ps: install-ps-am
433 install-ps-am:
435 installcheck-am:
437 maintainer-clean: maintainer-clean-am
438 -rm -f Makefile
439 maintainer-clean-am: distclean-am maintainer-clean-generic
441 mostlyclean: mostlyclean-am
443 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
445 pdf: pdf-am
447 pdf-am:
449 ps: ps-am
451 ps-am:
453 uninstall-am:
455 .MAKE: install-am install-strip
457 .PHONY: all all-am check check-am clean clean-generic clean-libtool \
458 clean-local cscopelist-am ctags-am distclean distclean-generic \
459 distclean-libtool dvi dvi-am html html-am info info-am install \
460 install-am install-data install-data-am install-dvi \
461 install-dvi-am install-exec install-exec-am install-html \
462 install-html-am install-info install-info-am install-man \
463 install-pdf install-pdf-am install-ps install-ps-am \
464 install-strip installcheck installcheck-am installdirs \
465 maintainer-clean maintainer-clean-generic mostlyclean \
466 mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
467 tags-am uninstall uninstall-am
469 .PRECIOUS: Makefile
471 $(check_DEJAGNU_libphobos_targets): check-DEJAGNUlibphobos%: libphobos%/site.exp
473 site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
474 @echo 'Making a new site.exp file ...'
475 @echo '## these variables are automatically generated by make ##' >site.tmp
476 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
477 @echo '# edit the last section' >>site.tmp
478 @echo 'set srcdir "$(srcdir)"' >>site.tmp
479 @echo "set objdir `pwd`" >>site.tmp
480 @echo 'set build_alias "$(build_alias)"' >>site.tmp
481 @echo 'set build_triplet $(build_triplet)' >>site.tmp
482 @echo 'set host_alias "$(host_alias)"' >>site.tmp
483 @echo 'set host_triplet $(host_triplet)' >>site.tmp
484 @echo 'set target_alias "$(target_alias)"' >>site.tmp
485 @echo 'set target_triplet $(target_triplet)' >>site.tmp
486 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
487 echo "## Begin content included from file $$f. Do not modify. ##" \
488 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
489 && echo "## End content included from file $$f. ##" \
490 || exit 1; \
491 done >> site.tmp
492 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
493 @if test -f site.exp; then \
494 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
496 @-rm -f site.bak
497 @test ! -f site.exp || mv site.exp site.bak
498 @mv site.tmp site.exp
500 %/site.exp: site.exp
501 -@test -d $* || mkdir $*
502 @srcdir=`cd $(srcdir); ${PWD_COMMAND}`;
503 @objdir=`${PWD_COMMAND}`/$*; \
504 sed -e "s|^set srcdir .*$$|set srcdir $$srcdir|" \
505 -e "s|^set objdir .*$$|set objdir $$objdir|" \
506 site.exp > $*/site.exp.tmp
507 @-rm -f $*/site.bak
508 @test ! -f $*/site.exp || mv $*/site.exp $*/site.bak
509 @mv $*/site.exp.tmp $*/site.exp
511 # Run the testsuite in normal mode.
512 check-DEJAGNU $(check_DEJAGNU_libphobos_targets): check-DEJAGNU%: site.exp
513 $(if $*,@)AR="$(AR)"; export AR; \
514 RANLIB="$(RANLIB)"; export RANLIB; \
515 if [ -z "$*" ] && [ -n "$(filter -j%, $(MFLAGS))" ]; then \
516 rm -rf libphobos-parallel || true; \
517 mkdir libphobos-parallel; \
518 $(MAKE) $(AM_MAKEFLAGS) $(check_DEJAGNU_libphobos_targets); \
519 rm -rf libphobos-parallel || true; \
520 for idx in $(check_p_subdirs); do \
521 if [ -d libphobos$$idx ]; then \
522 mv -f libphobos$$idx/libphobos.sum libphobos$$idx/libphobos.sum.sep; \
523 mv -f libphobos$$idx/libphobos.log libphobos$$idx/libphobos.log.sep; \
524 fi; \
525 done; \
526 $(SHELL) $(srcdir)/../../contrib/dg-extract-results.sh \
527 libphobos[0-9]*/libphobos.sum.sep > libphobos.sum; \
528 $(SHELL) $(srcdir)/../../contrib/dg-extract-results.sh -L \
529 libphobos[0-9]*/libphobos.log.sep > libphobos.log; \
530 exit 0; \
531 fi; \
532 srcdir=`$(am__cd) $(srcdir) && pwd`; export srcdir; \
533 EXPECT=$(EXPECT); export EXPECT; \
534 runtest=$(_RUNTEST); \
535 if [ -z "$$runtest" ]; then runtest=runtest; fi; \
536 tool=libphobos; \
537 if [ -n "$*" ]; then \
538 if [ -f libphobos-parallel/finished ]; then rm -rf "$*"; exit 0; fi; \
539 GCC_RUNTEST_PARALLELIZE_DIR=`${PWD_COMMAND}`/libphobos-parallel; \
540 export GCC_RUNTEST_PARALLELIZE_DIR; \
541 cd "$*"; \
542 fi; \
543 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
544 $$runtest $(AM_RUNTESTFLAGS) $(RUNTESTDEFAULTFLAGS) \
545 $(RUNTESTFLAGS); \
546 if [ -n "$*" ]; then \
547 touch $$GCC_RUNTEST_PARALLELIZE_DIR/finished; \
548 fi; \
549 else \
550 echo "WARNING: could not find \`runtest'" 1>&2; :;\
553 check-am:
554 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU
556 .PHONY: check-DEJAGNU
558 # To remove runtest-parallel directories.
559 clean-local:
560 rm -rf libphobos*
562 # Tell versions [3.59,3.63) of GNU make to not export all variables.
563 # Otherwise a system limit (for SysV at least) may be exceeded.
564 .NOEXPORT: